from pyrogram import filters
from classes.poster_client import PosterClient
from pyrogram.types import Message

from modules.app import app
from modules.submissions import subBlocked
from modules.utils import configGet, jsonLoad, locale


@app.on_message(~ filters.scheduled & filters.command(["start"], prefixes="/"))
async def cmd_start(app: PosterClient, msg: Message):
    if subBlocked(msg.from_user) is False:
        await msg.reply_text(locale("start", "message", locale=msg.from_user.language_code))

@app.on_message(~ filters.scheduled & filters.command(["rules", "help"], prefixes="/"))
async def cmd_rules(app: PosterClient, msg: Message):
    if subBlocked(msg.from_user) is False:
        await msg.reply_text(locale("rules", "message", locale=msg.from_user.language_code))